Openembedded Core Discussions
 help / color / mirror / Atom feed
* autotools: Remove help2man dependency
@ 2011-09-29 14:52 Richard Purdie
  2011-09-29 18:07 ` Joshua Lock
  0 siblings, 1 reply; 3+ messages in thread
From: Richard Purdie @ 2011-09-29 14:52 UTC (permalink / raw)
  To: openembedded-core

The help2man script is pretty useless to us. It requires to run the target
binary to extract help information which is not possible for any of our
cross compiled target binaries.

We're not interested in man pages for -cross/-native tools.

It therefore makes no sense to have this as a core build dependency.

This patch removes the dependeny and replaces it with a script
returning false. This will trigger autotool's missing utility
to use the copy of the man page included with the sources which
is what would already happen when we tried to run cross compiled
binaries anyway.

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
---
diff --git a/meta/classes/autotools.bbclass b/meta/classes/autotools.bbclass
index f213c18..c05ab4b 100644
--- a/meta/classes/autotools.bbclass
+++ b/meta/classes/autotools.bbclass
@@ -7,7 +7,7 @@ def autotools_dep_prepend(d):
 
 	if pn in ['autoconf-native', 'automake-native', 'help2man-native']:
 		return deps
-	deps += 'autoconf-native automake-native help2man-native '
+	deps += 'autoconf-native automake-native '
 
 	if not pn in ['libtool', 'libtool-native'] and not pn.endswith("libtool-cross"):
 		deps += 'libtool-native '
diff --git a/scripts/help2man b/scripts/help2man
new file mode 100755
index 0000000..2bb8d86
--- a/dev/null
+++ b/scripts/help2man
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 1





^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2011-09-30 18:25 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-09-29 14:52 autotools: Remove help2man dependency Richard Purdie
2011-09-29 18:07 ` Joshua Lock
2011-09-30 18:19   ` Joshua Lock

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox